﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xamGrid1.ItemsSource = new List<Data> { new Data { Organization = new Organization { ID = 1 } },
                                                    new Data { Organization = new Organization { ID = 2 } }};
        }

        private void XamComboEditor_DropDownOpening_1(object sender, System.ComponentModel.CancelEventArgs e)
        {
            //(sender as XamComboEditor).ItemsSource = LayoutRoot.Resources["data"] as List<Organization>;
        }
    }

    public class Orgs : List<Organization>
    {
        public Orgs()
        {
            Add(new Organization { ID = 1, Name = "item 1" });
            Add(new Organization { ID = 2, Name = "item 2" });
            Add(new Organization { ID = 3, Name = "item 3" });
            Add(new Organization { ID = 4, Name = "item 4" });
        }
    }

    public class Data
    {
        public Organization Organization { get; set; }
    }

    public class Organization
    {
        public int ID { get; set; }
        public string Name { get; set; }

        public override bool Equals(object obj)
        {
            if (obj is Organization)
            {
                return ID == (obj as Organization).ID;
            }
            return false;
        }
    }

    public class IDToNameConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return "item " + value + " some other text";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
